aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2019-04-01 13:35:31 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2019-04-01 13:35:31 -0700
commit53a02f675dad2ec39eea52e2130a11b42977eab8 (patch)
tree022c777d12f06cbf9b1d4a92577a62e3d61c7f9a
parentgenrdeps: scan for BDEPEND (diff)
downloadqa-scripts-53a02f67.tar.gz
qa-scripts-53a02f67.tar.bz2
qa-scripts-53a02f67.zip
create-dev-keyrings: try keys.gentoo.org as well
Try the new keys.gentoo.org rotation, prior to the general SKS rotation, mostly because it's local and MUCH faster than the SKS network. keys.g.o does NOT sync with SKS at this time, and does not yet offer HKPS. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
-rwxr-xr-xcreate-dev-keyrings.bash6
1 files changed, 5 insertions, 1 deletions
diff --git a/create-dev-keyrings.bash b/create-dev-keyrings.bash
index 309be45..8e581b4 100755
--- a/create-dev-keyrings.bash
+++ b/create-dev-keyrings.bash
@@ -28,8 +28,12 @@ grab_keys() {
local missing=()
local remaining=( "${@}" )
+ # this needs to move to HKPS as well, but that part is not yet deployed.
+ KS1=hkp://keys.gentoo.org/
+ KS2=hkps://hkps.pool.sks-keyservers.net/
while :; do
- timeout 20m gpg -q --recv-keys "${remaining[@]}" || :
+ timeout 5m gpg --keyserver $KS1 -q --recv-keys "${remaining[@]}" || :
+ timeout 20m gpg --keyserver $KS2 -q --recv-keys "${remaining[@]}" || :
missing=()
for key in "${remaining[@]}"; do
gpg --list-public "${key}" &>/dev/null || missing+=( "${key}" )